GStreamer::Format(3)

NAME
GStreamer::Format

HIERARCHY
  Glib::Enum
  +----GStreamer::Format

METHODS

  format = GStreamer::Format::get_by_nick ($nick)

•   $nick (string)

  list = GStreamer::Format::get_details ($format)

•   $format (GStreamer::Format)

  format = GStreamer::Format::register ($nick, $description)

•   $nick (string)

•   $description (string)

ENUMS AND FLAGS

  enum GStreamer::Format

•   'undefined' / 'GST_FORMAT_UNDEFINED'

•   'default' / 'GST_FORMAT_DEFAULT'

•   'bytes' / 'GST_FORMAT_BYTES'

•   'time' / 'GST_FORMAT_TIME'

•   'buffers' / 'GST_FORMAT_BUFFERS'

•   'percent' / 'GST_FORMAT_PERCENT'

SEE ALSO
GStreamer, Glib::Enum

COPYRIGHT
Copyright (C) 2005-2011 by the gtk2-perl team.

This software is licensed under the LGPL. See GStreamer for a full notice.